List invoices, most recent first.
GET/invoices
GET
/invoices
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
required
integer format: int32
starting_after
string
ending_before
string
Responses
Section titled “Responses”A page of invoices
object
has_more
required
boolean
items
required
Array<object>
object
created
required
integer format: int64
currency
required
Currently supported currencies by Paygasus Pay
string
Example
USDcustomer
required
string
due_date
required
Unix epoch milliseconds.
integer format: int64
id
required
string
lines
required
Array<object>
One display line on the invoice. Amounts are minor units, like every amount on the wire (design.md §5).
object
amount
required
A monetary amount in the currency’s minor units (e.g. cents for USD).
integer format: int64
Example
1000description
required
string
livemode
required
boolean
memo
string | null
number
required
string
object
required
string
paid_at
Unix epoch milliseconds; set once paid.
integer | null format: int64
payment_intent_id
payment_url
Set once sent: the stable invoice payment URL the customer pays at.
string | null
status
required
string
tax_amount
required
A monetary amount in the currency’s minor units (e.g. cents for USD).
integer format: int64
Example
1000total
required
Server-computed: sum of line amounts + tax_amount.
integer format: int64
Example
1000Invalid query parameters
object
error
required
object
code
required
string
message
required
string
param
string | null
retryable
When present and true, the caller may retry the same request.
boolean | null
type
required
string
